QGIS 3.0.1 crashes on Mac
Status: Closed

Priority: Normal

Assignee:

Category: mac_os_specific

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26607

Description

I have installed QGIS 3.0.1 on my mac using Macports.  Since upgrading to 3.0.1 it crashes any time I try to open a file.  If I just open

QGIS it seems to open, but if I try to add a layer the Data Source Manager opens.  If I then click on the three dots to select a file, it

immediately crashes.  

If instead I try to open an existing project each time, it opens some layers, but also shows a "Handle Bad Layers" dialog box.  The layer

that shows is actually valid (and worked with version 2).  If I click browse to find that layer it crashes as above.  If I just don't open that

layer, I can see the other layers of the project, but can't add any layers.

The above makes 3.0.1 completely unusable.

History

#1 - 2018-04-16 02:06 PM - Chris Mutel

- File qgis3-crash.log added

I have the same problem; have tried uninstalling and reinstalling all GIS libraries, and updating to 3.0.1_20180410. Error log is attached.

#2 - 2018-09-05 06:53 PM - Denis Rouzaud

- Status changed from Open to Feedback

- Category changed from GUI to mac_os_specific

there is a tutorial to install QGIS3 with MacPorts

https://www.3liz.com/blog/rldhont/index.php?post/2017/06/01/How-to-build-qgis-on-OSX-with-MacPort

Do you still experience the issue?

#3 - 2018-09-05 07:13 PM - Adam Dershowitz

Denis Rouzaud wrote:

there is a tutorial to install QGIS3 with MacPorts

https://www.3liz.com/blog/rldhont/index.php?post/2017/06/01/How-to-build-qgis-on-OSX-with-MacPort

Do you still experience the issue?

It seems that this bug has been fixed.  I'm now using 3.2.2 from MacPorts, and I don't see this problem any longer, so it was only present in 3.0.1.
#4 - 2018-09-06 11:23 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Files

qgis3-crash.log 122 KB 2018-04-16 Chris Mutel
